import { OnInit } from '@angular/core';
import { BaseFieldComponent } from '../../classes/field';
import { UntypedFormBuilder } from '@angular/forms';
import { FormService } from '../../services/form.service';
import { TranslationService } from '../../services/translation.service';
import * as i0 from "@angular/core";
export declare class TextInputComponent extends BaseFieldComponent implements OnInit {
    fb: UntypedFormBuilder;
    fs: FormService;
    ts: TranslationService;
    rows: number;
    internalType: string;
    constructor(fb: UntypedFormBuilder, fs: FormService, ts: TranslationService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextInputComponent, "app-text-input", never, { "rows": "rows"; "internalType": "internalType"; }, {}, never, never, false, never>;
}
